DKBSignDocs

API reference

PATCHRequires Bearer token

Update an alert

/api/logs-audit/alerts/{alert_id}

Update /api/logs-audit/alerts/{alert_id}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
alert_id
Required
stringPath parameter alert_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
state
Required
stringinvestigating or resolved.
e.g. "resolved"

Responses

StatusMeaning
200Alerts
401Missing or invalid Bearer token.

Request

curl
curl -X PATCH 'https://api.dkbsigns.com/api/logs-audit/alerts/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"state":"resolved"}'

Response 200

json
{
  "id": "al-1",
  "state": "resolved"
}